/*
 * Copyright (C) 1993-1998,
 *
 * Department of Computing Science,
 * The University,
 * Newcastle upon Tyne,
 * UK.
 *
 * $Id: Resource.h,v 1.2 1998/08/28 14:19:54 nmcl Exp $
 */

#ifndef RESOURCE_H_
#define RESOURCE_H_

#include <stddef.h>

#ifndef BOOLEAN_H_
#   include "Boolean.h"
#endif

#define DLL __declspec(dllexport)

class DLL Resources
{
public:
    static void    ref   (Resources* resource);
    static Boolean unref (Resources* resource);

    void* operator new    (size_t amount);
    void  operator delete (void* memPtr);

protected:
    Resources ();
    virtual ~Resources ();

private:
    unsigned int   _referenceCount;
    Boolean        heapAllocated;

    static Boolean newCalled;
};

#endif
