#include "Arrival_MainThread.h"
#include "Queue.h"

Queue JobQ;
long TotalJobs;
double TotalResponseTime;

int main(int argc, char* argv[]) {
	
	Boolean isBreaks = 0;

    Thread::Initialize(); // Initialize the threads package.

    /*
     * We don't need to call Resource::ref on m as it is created on
     * the stack. However, it would not cause any problems to do so,
     * and if objects are passed by pointer we may not know that one
     * has not been created on the heap. So, whenever we have a pointer
     * we will always call ref and unref before use.
     */

    Arrival_MainThread m(isBreaks); // Start up the real main body of the simulation.

    m.Await();               // Suspend main's thread (NOTE: this MUST be done
                             // by all applications.)

    m.Exit();                // Reactivate main thread and then exit
    
    return 0;
}