/*
 * Copyright (C) 1994
 *
 * Department of Computing Science,
 * The University,
 * Newcastle upon Tyne,
 * UK.
 */


#ifndef QUANTILE_H_
#define QUANTILE_H_

#ifndef PHISTOGRAM_H_
#  include "PHistogram.h"
#endif


class Quantile : public PrecisionHistogram
{
public:
    Quantile (double = 0.95);
    virtual ~Quantile ();

    double operator() () const;
    double range () const;

    virtual std::ostream& print (std::ostream&) const;

private:
    double qProb;
};

#include "Quantile.n"

#endif
